init_send_initing
	movlw	'I'
	call	lcd_put_char
	movlw	'n'
	call	lcd_put_char
	movlw	'i'
	call	lcd_put_char
	movlw	't'
	call	lcd_put_char
	movlw	'i'
	call	lcd_put_char
	movlw	'n'
	call	lcd_put_char
	movlw	'g'
	call	lcd_put_char
	movlw	' '
	call	lcd_put_char
	return

init_send_dotdotdot
	movlw	'.'
	call	lcd_put_char
	movlw	'.'
	call	lcd_put_char
	movlw	'.'
	call	lcd_put_char
	return

init_send_done
	movlw	'D'
	call	lcd_put_char
	movlw	'o'
	call	lcd_put_char
	movlw	'n'
	call	lcd_put_char
	movlw	'e'
	call	lcd_put_char
	movlw	'.'
	call	lcd_put_char
	return

init_send_beeper
	call	lcd_home_text
	call	init_send_initing	; 8 chars
	movlw	'B'
	call	lcd_put_char
	movlw	'e'
	call	lcd_put_char
	movlw	'e'
	call	lcd_put_char
	movlw	'p'
	call	lcd_put_char
	movlw	'e'
	call	lcd_put_char
	movlw	'r'
	call	lcd_put_char
	call	init_send_dotdotdot	; 3 chars
	return

init_send_timer
;addr = TEXTSTART + (1 * 40)	; Line 1
;	movlw	ADDR_PTR_SET
;	movwf	COMMANDBUF
;	movlw	(addr%256)
;	movwf	DATABUFB
;	movlw	(addr>>8)
;	movwf	DATABUFA
;	call	lcd_send_2data_cmd
	LCD_MOV 1,0
	call	init_send_initing	; 8 chars
	movlw	'T'
	call	lcd_put_char
	movlw	'i'
	call	lcd_put_char
	movlw	'm'
	call	lcd_put_char
	movlw	'e'
	call	lcd_put_char
	movlw	'r'
	call	lcd_put_char

	call	init_send_dotdotdot	; 3 chars
	return

init_send_temp
;addr2 = TEXTSTART + (2 * 40)	; Line 1
;	movlw	ADDR_PTR_SET
;	movwf	COMMANDBUF
;	movlw	(addr2%256)
;	movwf	DATABUFB
;	movlw	(addr2>>8)
;	movwf	DATABUFA
;	call	lcd_send_2data_cmd
	LCD_MOV	2, 0
	call	init_send_initing	; 8 chars
	movlw	'T'
	call	lcd_put_char
	movlw	'e'
	call	lcd_put_char
	movlw	'm'
	call	lcd_put_char
	movlw	'p'
	call	lcd_put_char
	movlw	' '
	call	lcd_put_char
	movlw	'M'
	call	lcd_put_char
	movlw	'o'
	call	lcd_put_char
	movlw	'n'
	call	lcd_put_char
	movlw	'i'
	call	lcd_put_char
	movlw	't'
	call	lcd_put_char
	movlw	'o'
	call	lcd_put_char
	movlw	'r'
	call	lcd_put_char
	call	init_send_dotdotdot	; 3 chars
	return

init_send_serial
;addr3 = TEXTSTART + (3 * 40)	; Line 1
;	movlw	ADDR_PTR_SET
;	movwf	COMMANDBUF
;	movlw	(addr3%256)
;	movwf	DATABUFB
;	movlw	(addr3>>8)
;	movwf	DATABUFA
;	call	lcd_send_2data_cmd
	LCD_MOV 3, 0
	call	init_send_initing	; 8 chars
	movlw	'S'
	call	lcd_put_char
	movlw	'e'
	call	lcd_put_char
	movlw	'r'
	call	lcd_put_char
	movlw	'i'
	call	lcd_put_char
	movlw	'a'
	call	lcd_put_char
	movlw	'l'
	call	lcd_put_char
	movlw	' '
	call	lcd_put_char
	movlw	'B'
	call	lcd_put_char
	movlw	'u'
	call	lcd_put_char
	movlw	'f'
	call	lcd_put_char
	movlw	'f'
	call	lcd_put_char
	movlw	'e'
	call	lcd_put_char
	movlw	'r'
	call	lcd_put_char
	movlw	's'
	call	lcd_put_char
	call	init_send_dotdotdot
	return

init_send_ready
;addr4 = TEXTSTART + (4 * 40)	; Line 1
;	movlw	ADDR_PTR_SET
;	movwf	COMMANDBUF
;	movlw	(addr4%256)
;	movwf	DATABUFB
;	movlw	(addr4>>8)
;	movwf	DATABUFA
;	call	lcd_send_2data_cmd
	LCD_MOV	4, 0
	movlw	'S'
	call	lcd_put_char
	movlw	'y'
	call	lcd_put_char
	movlw	's'
	call	lcd_put_char
	movlw	't'
	call	lcd_put_char
	movlw	'e'
	call	lcd_put_char
	movlw	'm'
	call	lcd_put_char
	movlw	' '
	call	lcd_put_char
	movlw	'R'
	call	lcd_put_char
	movlw	'e'
	call	lcd_put_char
	movlw	'a'
	call	lcd_put_char
	movlw	'd'
	call	lcd_put_char
	movlw	'y'
	call	lcd_put_char
	return



init_do_wait
	btfsc	SYS_OPTS, SOPT_CONNECTED
	return

; Do Waiting crap
	decf	logo_txt_cntr, F	; Decrement the counter
	skpz
	return				; Its not zero, return.

dot_addr = TEXTSTART + (d'2' * d'40') + d'28'	; Line 3, Column 28

	movlw	WAITING_DELAY			; It was zero, reset it.
	movwf	logo_txt_cntr

	incf	logo_txt_pos, F		; Incrament pos.

	movlw	d'6'
	subwf	logo_txt_pos, W		; If logo_text_pos is 6, reset it to 0
	skpz
	goto	logo_text_next		; It wasnt, so put next '.'

	; It was '6', reset it to 1
	movlw	d'1'
	movwf	logo_txt_pos


	; now clear the '.'s

	movlw	ADDR_PTR_SET
	movwf	COMMANDBUF

	movlw	(dot_addr%256)
	movwf	DATABUFB
	movlw	(dot_addr>>8)
	movwf	DATABUFA
	call	lcd_send_2data_cmd
	movlw	' '
	call	lcd_put_char
	movlw	' '
	call	lcd_put_char
	movlw	' '
	call	lcd_put_char
	movlw	' '
	call	lcd_put_char
	movlw	' '
	call	lcd_put_char
	movlw	' '
	call	lcd_put_char

logo_text_next

	movlw	ADDR_PTR_SET
	movwf	COMMANDBUF

	movlw	(dot_addr%256)
	movwf	DATABUFB
	movlw	(dot_addr>>8)
	movwf	DATABUFA
	call	lcd_send_2data_cmd

	movf	logo_txt_pos, W
	movwf	tmp_int

logo_text_loop
	movlw	'.'
	call	lcd_put_char

	decfsz	tmp_int, F
	goto 	logo_text_loop
	
logo_text_done
	return

